package com.zbf.system.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper; //添加
import com.zbf.system.domain.TOngoodsshelf;

/**
 * 入库任务Mapper接口
 *
 * @author tony
 * @date 2024-06-14
 */
public interface TOngoodsshelfMapper extends BaseMapper<TOngoodsshelf> //修改
{
    /**
     * 查询入库任务
     *
     * @param id 入库任务主键
     * @return 入库任务
     */
    public TOngoodsshelf selectTOngoodsshelfById(String id);

    /**
     * 查询入库任务列表
     *
     * @param tOngoodsshelf 入库任务
     * @return 入库任务集合
     */
    public List<TOngoodsshelf> selectTOngoodsshelfList(TOngoodsshelf tOngoodsshelf);

    /**
     * 新增入库任务
     *
     * @param tOngoodsshelf 入库任务
     * @return 结果
     */
    public int insertTOngoodsshelf(TOngoodsshelf tOngoodsshelf);

    /**
     * 修改入库任务
     *
     * @param tOngoodsshelf 入库任务
     * @return 结果
     */
    public int updateTOngoodsshelf(TOngoodsshelf tOngoodsshelf);

    /**
     * 删除入库任务
     *
     * @param id 入库任务主键
     * @return 结果
     */
    public int deleteTOngoodsshelfById(String id);

    /**
     * 批量删除入库任务
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTOngoodsshelfByIds(String[] ids);

    /**
     * 批量启用入库任务
     *
     * @param ids 需要启用的数据主键集合
     * @return 结果
     */
    public int enableTOngoodsshelfByIds(String[] ids);

    /**
     * 批量禁用入库任务
     *
     * @param ids 需要禁用的数据主键集合
     * @return 结果
     */
    public int disabledTOngoodsshelfByIds(String[] ids);

    List<TOngoodsshelf> selecttOngoodsshelvesPlcList();
    /**
     * 更新plc
     * @param tOngoodsshelf
     * @return
     */
    public int updatePlcId(TOngoodsshelf tOngoodsshelf);

    List<Map<String, Integer>> counts(TOngoodsshelf tOngoodsshelf);
}
